<?php $this->display('header', array('title' => 'Загрузка файла')) ?>

<?php if($error): ?>
<div class="error">
<?php echo $error ?>
</div>
<?php endif; ?>

<form action="<?php echo a_url('downloads/admin/file_upload', 'directory_id='. @$_GET['directory_id']) .'&amp;file_id='. @$_GET['file_id'] ?>" enctype="multipart/form-data" method="post">
<div class="box">
	<h3>Загрузка файла</h3>
	<div class="inside">
		<p>
			<label>Имя файла (необязательно)</label>
			<input name="name" type="text" value="<?php echo @$file['name'] ?>">
		</p>
        <p>
        	<label>
			<?php if($action == 'edit'): ?>
			Уже загружен файл: <?php echo $file['real_name'] ?><br />
			Укажите новый файл, если хотите заменить старый
			<?php else: ?>
			Укажите файл<br />
			<?php endif; ?>
			</label>
			<input name="file_upload" type="file" value="">
		</p>
		<p>
			<label>Или URL файла</label>
			<input name="file_import" type="text" value="http://">
		</p>
		<?php for($i = 1; $i <= 3; $i++): ?>
        <p>
        	<label>
			<?php if(!empty($file['screen'. $i])): ?>
			<img src="<?php echo URL . $file['path_to_file'] .'/'. $file['screen'. $i] ?>" width="" height="" alt="" /><br />
			Укажите новый скрин, если хотите заменить старый
			<?php else: ?>
			Скрин <?php echo $i ?> (необязательно)<br />
			<?php endif; ?>
			</label>
			<input name="screen<?php echo $i ?>" type="file" value="">
		</p>
		<?php endfor; ?>
        <p>
			<label>Описание файла (необязательно)</label>
			<textarea cols="20" rows="7" name="about"><?php echo @$file['about'] ?></textarea>
		</p>
        <p>
			<label>Статус файла</label>
			<select size="1" name="status">
			  	<option value="active">Активен</option>
			  	<option value="moderate"<?php if(@$file['status'] == 'moderate'): ?> selected="selected"<?php endif; ?>>На модерации</option>
			</select>
        </p>
   </div>
</div>
<?php for($i = 1; $i <= 3; $i++): ?>
<div class="box">
	<h3>Дополнительный файл <?php echo $i ?></h3>
	<div class="inside">
		<p>
        	<label>Название (необязательно)</label>
			<input name="add_file_view_name_<?php echo $i ?>" type="name" value="<?php echo @$file['add_file_view_name_'. $i] ?>" />
		</p>
		<p>
        	<label>
			<?php if(@$file['add_file_real_name_'. $i] != ''): ?>
			Уже загружен файл: <?php echo @$file['add_file_real_name_'. $i] ?><br />
			Укажите новый файл, если хотите заменить старый
			<?php else: ?>
			Укажите файл<br />
			<?php endif; ?>
			</label>
			<input name="add_file_file_<?php echo $i ?>" type="file" value="">
		</p>
	</div>
</div>
<?php endfor; ?>

		<input name="real_name" type="hidden" value="<?php echo $file['real_name'] ?>">
		<?php for($i = 1; $i <= 3; $i++): ?>
		<input name="screen<?php echo $i ?>" type="hidden" value="<?php echo $file['screen'. $i] ?>">
		<?php endfor; ?>
		<?php for($i = 1; $i <= 10; $i++): ?>
		<input name="add_file_real_name_<?php echo $i ?>" type="hidden" value="<?php echo $file['add_file_real_name_'. $i] ?>">
		<?php endfor; ?>
		<input name="error_file" type="hidden" value="<?php echo $error_file ?>">
		<p><input type="submit" name="submit" value="Готово"></p>
</form>

<?php $this->display('footer') ?>