<?php $this->display('header', array('title' => 'Список файлов')) ?>

<div class="box">
	<div class="inside">
	<p>
		<a href="<?php echo a_url('downloads/admin/directory_edit', 'parent_id='. $directory['directory_id']) ?>">Создать папку</a><br />
		<a href="<?php echo a_url('downloads/admin/file_upload', 'directory_id='. $directory['directory_id']) ?>">Загрузить файл в текущую директорию</a><br />
		<?php if($directory['directory_id'] > 0): ?>
		<a href="<?php echo a_url('downloads/admin/ftp_upload', 'directory_id='. $directory['directory_id']) ?>">Загрузить файлы по ФТП в текущую директорию</a><br />
		<a href="#" onclick="if(confirm('Действительно хотите очистить папку &laquo;<?php echo $directory['name'] ?>&raquo;?')) {parent.location='<?php echo a_url('downloads/admin/directory_clear', 'directory_id='. $directory['directory_id']) ?>';}">Очистить папку от файлов</a>
	    <?php endif; ?>
	</p>
	</div>
</div>

<table>
	<thead>
		<tr>
			<th style="width: 20px;">&nbsp;</th>
			<th>Название</th>
			<th colspan="4" width='50%'>Дейстивия</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="4">
				<?php if(!empty($namepath)): echo $namepath .'/'; endif ?><b><?php echo $directory['name'] ?>/</b><b><?php if($directory): ?><a href="<?php echo a_url('downloads/admin/list_files', 'directory_id='. $directory['parent_id']) ?>">..</a></b><?php endif; ?>
			</td>
		</tr>
		<?php foreach($files as $file): ?>
		<tr>
			<td><img src="<?php echo URL ?>modules/downloads/views/admin/images/<?php echo $file['type'] ?>.png" /></td>
			<td>
				<?php if($file['type'] == 'directory'): ?>
					<a href="<?php echo a_url('downloads/admin/list_files', 'directory_id='. $file['file_id']) ?>"><?php echo $file['name'] ?></a>
				<?php else: ?>
                    <a href="<?php echo a_url('downloads/view_file', 'file_id='. $file['file_id']) ?>"><?php echo $file['name'] ?></a>
				<?php endif; ?>
			</td>
			<td><?php echo $file['up'] ?></td>
			<td><?php echo $file['down'] ?></td>
			<td>
				<?php if($file['type'] == 'directory'): ?>
					<a href="<?php echo a_url('downloads/admin/directory_edit', 'directory_id='. $file['file_id']) ?>">Изменить</a>
				<?php else: ?>
					<a href="<?php echo a_url('downloads/admin/file_upload', 'file_id='. $file['file_id']) ?>">Изменить</a>
				<?php endif ?>
			</td>
			<td>
				<?php if($file['type'] == 'directory'): ?>
					<a href="#" onclick="if(confirm('Действительно хотите удалить папку &laquo;<?php echo $file['name'] ?>&raquo;?')) {parent.location='<?php echo a_url('downloads/admin/directory_delete', 'directory_id='. $file['file_id']) ?>';}">Удалить</a>
				<?php else: ?>
					<a href="#" onclick="if(confirm('Действительно хотите удалить файл &laquo;<?php echo $file['name'] ?>&raquo;?')) {parent.location='<?php echo a_url('downloads/admin/file_delete', 'file_id='. $file['file_id']) ?>';}">Удалить</a>
				<?php endif; ?>
			</td>
		</tr>
		<?php endforeach; ?>
	</tbody>
</table>

<?php if($pagination)
	echo '<p>'. $pagination .'</p>';
?>

<?php $this->display('footer') ?>